Bug 1012756 - [abrt] mutter-wayland-3.9.92-1.fc20: xserver_died: Process /usr/bin/mutter-wayland was killed by signal 5 (SIGTRAP)
[abrt] mutter-wayland-3.9.92-1.fc20: xserver_died: Process /usr/bin/mutter-wa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mutter-wayland (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
abrt_hash:928a7abf0fd078532e59f804d2a...
:
: 1013023 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 01:38 EDT by Flóki Pálsson
Modified: 2015-06-29 08:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.91 KB, text/plain)
2013-09-27 01:38 EDT, Flóki Pálsson
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-27 01:39 EDT, Flóki Pálsson
no flags Details
File: core_backtrace (13.49 KB, text/plain)
2013-09-27 01:39 EDT, Flóki Pálsson
no flags Details
File: dso_list (9.44 KB, text/plain)
2013-09-27 01:39 EDT, Flóki Pálsson
no flags Details
File: environ (2.87 KB, text/plain)
2013-09-27 01:39 EDT, Flóki Pálsson
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-27 01:39 EDT, Flóki Pálsson
no flags Details
File: maps (46.62 KB, text/plain)
2013-09-27 01:39 EDT, Flóki Pálsson
no flags Details
File: open_fds (1.08 KB, text/plain)
2013-09-27 01:39 EDT, Flóki Pálsson
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-09-27 01:39 EDT, Flóki Pálsson
no flags Details
[PATCH] wayland: make xwayland optional (4.06 KB, patch)
2013-09-29 01:21 EDT, Chang Liu
no flags Details | Diff

  None (edit)
Description Flóki Pálsson 2013-09-27 01:38:53 EDT
Description of problem:
$ mutter-wayland --wayland
mutter-Message: forked X server, pid 4344


(mutter-wayland:4339): mutter-ERROR **: Spurious exit of X Wayland server
Trace/breakpoint trap (core dumped)

Version-Release number of selected component:
mutter-wayland-3.9.92-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        mutter-wayland --wayland
crash_function: xserver_died
executable:     /usr/bin/mutter-wayland
kernel:         3.11.1-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000
var_log_messages: Sep 27 05:27:21 F20rc4 kernel: [  949.103659] traps: mutter-wayland[4339] trap int3 ip:3aa36505a9 sp:7fff40464e90 error:0

Truncated backtrace:
Thread no. 1 (5 frames)
 #2 xserver_died at wayland/meta-xwayland.c:292
 #3 g_child_watch_dispatch at gmain.c:5047
 #8 meta_xwayland_start at wayland/meta-xwayland.c:424
 #9 meta_wayland_init at wayland/meta-wayland.c:965
 #10 meta_init at core/main.c:428
Comment 1 Flóki Pálsson 2013-09-27 01:38:56 EDT
Created attachment 803723 [details]
File: backtrace
Comment 2 Flóki Pálsson 2013-09-27 01:39:00 EDT
Created attachment 803724 [details]
File: cgroup
Comment 3 Flóki Pálsson 2013-09-27 01:39:03 EDT
Created attachment 803725 [details]
File: core_backtrace
Comment 4 Flóki Pálsson 2013-09-27 01:39:06 EDT
Created attachment 803726 [details]
File: dso_list
Comment 5 Flóki Pálsson 2013-09-27 01:39:10 EDT
Created attachment 803727 [details]
File: environ
Comment 6 Flóki Pálsson 2013-09-27 01:39:13 EDT
Created attachment 803728 [details]
File: limits
Comment 7 Flóki Pálsson 2013-09-27 01:39:16 EDT
Created attachment 803729 [details]
File: maps
Comment 8 Flóki Pálsson 2013-09-27 01:39:19 EDT
Created attachment 803730 [details]
File: open_fds
Comment 9 Flóki Pálsson 2013-09-27 01:39:22 EDT
Created attachment 803731 [details]
File: proc_pid_status
Comment 10 Anonymous 2013-09-27 11:46:33 EDT
*** Bug 1013023 has been marked as a duplicate of this bug. ***
Comment 11 Chang Liu 2013-09-29 01:21:06 EDT
Created attachment 804623 [details]
[PATCH] wayland: make xwayland optional

The bug is caused by mutter-wayland trying to load XWayland,
which is not built on most distros (including F20). This patch
adds a runtime option for xwayland. With this change a user
needs to explicitly specify --xwayland otherwise mutter-wayland
will not try loading it.
Comment 12 Jasper St. Pierre 2013-10-28 14:17:01 EDT
No. mutter will not work without XWayland until we do some serious rearchitecting. We need to package XWayland in F20.
Comment 13 Anonymous 2013-11-20 15:02:53 EST
So what is going on with Gnome 3.10 + Wayland on Fedora 20? I installed first time in my life Fedora, Gnome 3.* because of preview of Wayland. I wanted to be one of the early adopter of Wayland. I wanted test it. Are there any information about progress in Gnome3.10/Wayland/Fedora20?
Comment 14 Jasper St. Pierre 2013-11-20 15:27:22 EST
XWayland is packaged in F20 ( http://pkgs.fedoraproject.org/cgit/xorg-x11-server.git/commit/?h=f20&id=15e2ab311cc3e0fed7b99d98536fde395d38b502 ), so it should be working. Can you post your ~/.cache/xwayland.log ?
Comment 15 Anonymous 2013-11-21 12:27:43 EST
I don't have that file. I tried commands:
1. gnome-session --session gnome-wayland
2. mutter-launch -- mutter-wayland --wayland
in:
1. Normal environment in emulator of terminal
2. In other vt when I was logged in as normal user
3. In other vt when I was logged as a root.

Some commands don't started or rest started program but this program immidiatel crashed.
Examples my crash reports:
https://bugzilla.redhat.com/show_bug.cgi?id=1033192
https://bugzilla.redhat.com/show_bug.cgi?id=1033199
Comment 16 Fedora End Of Life 2015-05-29 05:27:48 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-06-29 08:28:23 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.